/*
	File:		InstallerAERegistry.h

	Copyright:	 1995-1998 by Apple Computer, Inc., all rights reserved.

*/


#ifndef __InstallerAERegistry__
#define __InstallerAERegistry__


////////////////////////////////////////
// Installer Suite
////////////////////////////////////////

#define kAEInstallerSuite			'inst'


////////////////////////////////////////
// Installer Events Received
////////////////////////////////////////

// Installing/Removing events
#define kAEInstall					'iist'				//	 for installing a script
#define kAERemove					'irmv'				//	 for removing a custom script
#define keyPackageIDList				'PKID'			//	Keyword for the Package ID List
#define keyCustomNameList				'CNST'			//	Keyword for the Custom Package Name List
#define keyWithPreActionReport			'iprr'			//	Keyword for pre-installation/removal report
#define keyWithPreActionReportOnly		'ipro'			//	Keyword for pre-installation/removal only report
#define keyWithPostActionReport			'ipor'			//	Keyword for post-installation/removal report

// Cancel event
#define kAECancel					'icnl'				//	 for cancelling a script

// Register event
#define	kAERegisterClient			'irgc'				//	 for registering a client
#define keyWithProgress					'iwpg'			//	Keyword for detailed progress info. for a client
#define keyWithBasicProgress			'iwbp'			//	Keyword for basic progress info. for a client
#define keyWithDebugging				'iwdg'			//	Keyword for registering a client with debugging info.
#define keyWithReporting				'iwrp'			//	Keyword for registering a request for reporting
#define keyWithUserInterface			'iuri'			//	Keyword for registering a request for reporting

// Deregister event
#define	kAEDeregisterClient			'idgc'				//	 for deregistering a client


////////////////////////////////////////
// Installer Events Sent To Clients
////////////////////////////////////////

// Error notification
#define kAEInstallerError			'ierr'				//	Installer error event
#define keyRollBackFlag						'rbfl'		//	Flag indicated whether a rollback occurred.

// Progress notification
#define kAEInstallerProgress		'iprg'				//	Installer process event

// Debugging information
#define kAEInstallerDebug			'idbg'				//	Installer debug event
#define kDebugEventID						'dbID'
#define kDocumentOpened 					0
#define kDocumentClosed 					1
#define kApplicationQuit					2
#define kEngineAction						3
#define kEngineActionClass					'eaci'
#define kEngineActionID						'eaid'
#define kEngineActionParam0					'eap0'
#define kEngineActionParam1					'eap1'
#define kEngineActionParam2					'eap2'
#define kEngineActionParam3					'eap3'

// Report data
#define kAEInstallerReport			'irpt'				//	Installer report event
#define kReportType						'rptt'			//	Keyword for type of report
#define kReportList						'rptl'			//	Keyword for report AEList

// Request to display alert
#define kAEInstallerAlertRequest	'iadr'				//	Request from scriptwriter to display alert event
#define keyAlertRequestDITLID			'idid'			//	Keyword ditl ID
#define keyAlertRequestMsgText			'iamt'			//	Keyword message text
#define keyAlertRequestCancelBut		'icbu'			//	Keyword cancel button ID
#define keyAlertRequestDefaultBut		'idbu'			//	Keyword default button ID


////////////////////////////////////////
// Classes and their properties
////////////////////////////////////////

// cDocument
#define pReplaceLockedFiles			'irlf'
#define pAppTarget					'iatg'
#define pSysTarget					'istg'
#define pDoCleanInstall				'idcl'
#define pReplaceNewerFiles			'irnf'
#define pSourceLocation				'iscl'
#define pGlobals					'iglb'
#define pIsParasiteScript			'ipte'
#define pBoxFlagOverwrite			'ibog'

// cFeatureSet
#define cFeatureSet				'ifst'
#define pRestartRequired			'irsr'
#define pFeatureSetResult			'ifsr'
#define pFeatureSetMessage			'ifsm'

// cFeature
#define cFeature				'iftr'
#define pNeedsRestartToBeActive		'ifrr'
#define pRemovable					'ifir'
#define pIcon						'ifif'
#define kIconAndMaskKeyWord				'ICN#'
#define k8BitIconKeyWord				'icl8'
#define pDate						'ifdt'
#define pOnDiskSize					'ifds'
#define pCommentText				'ifct'
#define pSubFeatures				'ifsf'
#define pBasicProperties			'ibsp'

// cStatus
#define cStatus					'ists'
#define pPercentTaskComplete		'prtc'
#define pOperationType				'opty'
#define pOperationParams			'oppm'
#define pCanBeCanceled				'canc'

// cEasyFeatureSet
#define cEasyFeatureSet			'iesi'
#define pFeatureList				'ifls'
#define pOnDiskSize					'ifds'

// cCustomFeatureSet
#define cCustomFeatureSet		'icui'


////////////////////////////////////////
// Misc. Types
////////////////////////////////////////
#define typeInt64				'vlit'
#define typeIconOnly			'ICON'
#define typeIconAndMask			'ICN#'
#define type8BitIcon			'icl8'
#define type4BitIcon			'icl4'
#define typeSmallIconAndMask	'ics#'
#define typeSmall8BitIcon		'ics8'
#define typeSmall4BitIcon		'ics4'

#endif
